Subject: bug#60210: closed (Re: bug#60210: 30.0.50; tab-bar height not recalculated when face changes)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Dec 2022 17:41:02 +0000

Your bug report

#60210: 30.0.50; tab-bar height not recalculated when face changes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60210: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60210
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60210: 30.0.50; tab-bar height not recalculated when face changes
From: Gregory Heytings <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: [email-masked], [email-masked], Eli Zaretskii <[email-masked]>
Date: Mon, 26 Dec 2022 17:40:52 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>>> Thanks, this LGTM.  If you tested this with tab bars of more than a 
>>> single line, including when tabs are removed so a single line is once 
>>> again long enough, please install on the release branch.
>>
>> I did test it, but I don't use tab bars, so I'm not 110% sure.  Juri, 
>> could you please test the patch?
>
> Thanks for the patch.  I tested it in emacs-29 with tab-bar-lines > 1 
> and see no problems.
>

Thanks!  Pushed (b14bbd108e), and closing.

Subject: 30.0.50; tab-bar height not recalculated when face changes
From: Gabriel do Nascimento Ribeiro <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 19 Dec 2022 23:04:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps:

1) emacs -Q (master "ae91da52335aafaff5405a49c23460082dfb460d")

2) Enable tab-bar:

   (tab-bar-mode +1)

3) Change some face attribute of tab-bar to force increase the tab-bar
height, e.g:

   (set-face-attribute 'tab-bar nil :box 4)
   (set-face-attribute 'tab-bar nil :height 1.2)

Result: the new face is displayed and the tab-bar height is properly
adjusted to reflect the new height.

4) Reset face attributes of tab-bar to force original height, e.g.:

   (set-face-attribute 'tab-bar nil :box nil)
   (set-face-attribute 'tab-bar nil :height 1.0)

Result: the new face is displayed, but the tab-bar height is not
properly adjusted to reflect the new height.

---
Gabriel